%global bashcompdir     %(pkg-config --variable=completionsdir bash-completion 2>/dev/null)
%global bashcomproot    %(dirname %{bashcompdir} 2>/dev/null)
%{?python_enable_dependency_generator}

Name:           bodhi3
Version:        3.12.0
Release:        200%{?dist}
BuildArch:      noarch

License:        GPLv2+
Summary:        A modular framework that facilitates publishing software updates
URL:            https://github.com/fedora-infra/bodhi
Source0:        %{url}/archive/%{version}/bodhi-%{version}.tar.gz
Patch0:         0000-Remove-the-server.patch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: %{py2_dist click}
BuildRequires: %{py2_dist iniparse}
BuildRequires: %{py2_dist mock}
BuildRequires: %{py2_dist pytest}
BuildRequires: %{py2_dist pytest-cov}
BuildRequires: %{py2_dist python-fedora}
BuildRequires: %{py3_dist click}
BuildRequires: %{py3_dist iniparse}
BuildRequires: %{py3_dist mock}
BuildRequires: %{py3_dist pytest}
BuildRequires: %{py3_dist pytest-cov}
BuildRequires: %{py3_dist python-fedora}
BuildRequires: pkgconfig(bash-completion)
BuildRequires: python2-koji
BuildRequires: python3-koji
BuildRequires: /usr/bin/virtualenv


%description
This is a compat package that allows us to continue to provide a Bodhi
3 client for any users in Fedora 29 and 30 who still need it. There is
no server code in this package, and the Bodhi 3 client does not work
with the Fedora Infrastructure's Bodhi deployments.


%package client
Summary: Bodhi Client

Requires: python3-bodhi3-client == %{version}-%{release}

Conflicts: bodhi-client


%description client
Client tools for interacting with bodhi.

This is a compat package that allows us to continue to provide a Bodhi
3 client for any users in Fedora 29 and 30 who still need it. The Bodhi
3 client does not work with the Fedora Infrastructure's Bodhi
deployments.


%package -n python2-bodhi
Summary: Common files shared by bodhi-client and bodhi-server

%{?python_provide:%python_provide python2-bodhi}


%description -n python2-bodhi
Common files shared by bodhi-client and bodhi-server.

This is a compat package that allows us to continue to provide a Bodhi
3 client for any users in Fedora 29 and 30 who still need it. The Bodhi
3 client does not work with the Fedora Infrastructure's Bodhi
deployments.


%package -n python3-bodhi3
Summary: Common files shared by bodhi-client and bodhi-server

%{?python_provide:%python_provide python3-bodhi3}

Conflicts: python3-bodhi


%description -n python3-bodhi3
Common files shared by bodhi-client and bodhi-server.

This is a compat package that allows us to continue to provide a Bodhi
3 client for any users in Fedora 29 and 30 who still need it. The Bodhi
3 client does not work with the Fedora Infrastructure's Bodhi
deployments.


%package -n python2-bodhi-client
Summary: REST API bindings for Python.

Requires: /usr/bin/koji
Requires: python2-bodhi == %{version}-%{release}
Requires: python2-dnf
Requires: python2-koji

%{?python_provide:%python_provide python2-bodhi-client}


%description -n python2-bodhi-client
REST API bindings for Python.

This is a compat package that allows us to continue to provide a Bodhi
3 client for any users in Fedora 29 and 30 who still need it. The Bodhi
3 client does not work with the Fedora Infrastructure's Bodhi
deployments.


%package -n python3-bodhi3-client
Summary: REST API bindings for Python.

Requires: /usr/bin/koji
Requires: python3-bodhi3 == %{version}-%{release}
Requires: python3-dnf
Requires: python3-koji

%{?python_provide:%python_provide python3-bodhi3-client}

Conflicts: python3-bodhi-client


%description -n python3-bodhi3-client
REST API bindings for Python.

This is a compat package that allows us to continue to provide a Bodhi
3 client for any users in Fedora 29 and 30 who still need it. The Bodhi
3 client does not work with the Fedora Infrastructure's Bodhi
deployments.


%prep
%autosetup -p1 -n bodhi-%{version}

# Remove the server code since we are only packaging the client.
rm -rf bodhi/server bodhi/tests/server


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install

install -Dpm 0755 bodhi-complete.sh %{buildroot}%{bashcompdir}/bodhi


%check
# The tests need bodhi to be installed to pass. Let's build a venv so we can install bodhi
# there.
virtualenv --python=%{__python2} --system-site-packages --no-pip --never-download .test-venv-2
virtualenv --python=%{__python3} --system-site-packages --no-pip --never-download .test-venv-3

.test-venv-2/bin/python2 setup.py develop
.test-venv-2/bin/python2 /usr/bin/py.test-3 bodhi/tests
.test-venv-3/bin/python3 setup.py develop
.test-venv-3/bin/python3 /usr/bin/py.test-3 bodhi/tests


%files client
%license COPYING
%doc README.rst
%{bashcomproot}
%{_bindir}/bodhi


%files -n python2-bodhi
%license COPYING
%doc README.rst
%dir %{python2_sitelib}/bodhi/
%{python2_sitelib}/bodhi/__init__.py*
%{python2_sitelib}/bodhi-%{version}-py%{python2_version}.egg-info


%files -n python3-bodhi3
%license COPYING
%doc README.rst
%dir %{python3_sitelib}/bodhi/
%{python3_sitelib}/bodhi/__init__.py
%{python3_sitelib}/bodhi/__pycache__
%{python3_sitelib}/bodhi-%{version}-py%{python3_version}.egg-info


%files -n python2-bodhi-client
%license COPYING
%doc README.rst
%{python2_sitelib}/bodhi/client
%{python2_sitelib}/bodhi_client-%{version}-py%{python2_version}.egg-info


%files -n python3-bodhi3-client
%license COPYING
%doc README.rst
%{python3_sitelib}/bodhi/client
%{python3_sitelib}/bodhi_client-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jun 03 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.12.0-200
- Initial import, based on bodhi from Fedora 29.
